Author Topic: install of new prerelease vm 2.0.1e on wampserver2 with MySql 5.1.36  (Read 1866 times)

beevo

  • Beginner
  • *
  • Posts: 16
Well, I had a go an installing and all looked fine. BUT
first thing I noticed was the demo products I had there were not showing any images on the front end. Neither the 4 variants I had in a dropdown list - they weren't showing either - even though in the admin area the images and variants were there for each product.

Worse still. in the shopping cart area all the graphics were moved down due to error messages being printed: thus
---------------------------------
Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\helpers\calculationh.php on line 1129

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 840

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 841

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 843

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 846

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 850

Notice: Trying to get property of non-object in C:\wamp\www\EdTest\administrator\components\com_virtuemart\models\customfields.php on line 850
Cart
Continue Shopping

When you are already registered, please login directly here
-----------------------------------------------------------------------------------

And worse again still, these messages appear on the index page of the site (quite why the cart want's to show itself on the home page is beyond me!)
So safe to say this update will not install successfully on a wampserver with MySql 5.1.36

Anyone have any suggestions? (be polite now :-)

[attachment cleanup by admin]
Using Joomla 3.4.4 and VM 3.0.10

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28023
  • Always on vacation
    • Jenkin Hill Internet
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart 3.8.7 10374 on Joomla 3.9.24 PHP 7.4.12

beevo

  • Beginner
  • *
  • Posts: 16
Re: install of new prerelease vm 2.0.1e on wampserver2 with MySql 5.1.36
« Reply #2 on: February 11, 2012, 01:12:14 am »
Thank you jenkinhill. I was aware that: "Update: People who use this updater and use mysql 5.1 or lower may get in trouble" but he also said I should try it anyway.

It's all very well turning off error reporting but surely there are still errors. At this point I am just so afraid of VM because ever since I've tried it this past week, nothing has gone right. I no longer have any confidence in the component working properly. If this was a slide show or something trivial I could put up with errors but it's a potential shop front and I think I have proved to myself that VM is not stable enough to trust at the moment. So for now at least, I'm going to try another component. Maybe in 6 months time all the bugs will be out of VM 2 xx and it will be easy to install a working component and a manual will be written to show how to best use it. I'll check back then for any future projects I have.

For now I need something reliable.
Thanks for your help.
Using Joomla 3.4.4 and VM 3.0.10